Aller au contenu principal
Sujet résolu
Ce sujet a été marqué résolu et ne nécessite aucune autre attention.
Sujet: Leap 15.2 et imprimante/scanner HP, galère (Lu 281 fois) sujet précédent - sujet suivant

Leap 15.2 et imprimante/scanner HP, galère

Salut

Ce petit post pour partager mes difficultés d'install d'une imprimante/scanner HP en Leap 15.2. Et la solution qui va avec, si d'autres ont le même problème.

Je viens de faire une fresh install de Leap 15.2, et impossible de réinstaller correctement imprimante et scanner réseau HP.
Cette imprimante/scanner fonctionne parfaitement sur 2 autres machines, une en tumbleweed, et une en Leap 15.2 (j'avais installé l'imprimante/scanner quand j'étais en 15.1).

La procédure usuelle :
- install du paquet hplip
- lancement de la commande hp-setup (soit en console, soit depuis le menu installation d'imprimante de Yast)
Comme d'habitude, je donne l'adresse IP de mon imprimante, elle est reconnue. On me demande alors d'installer un plugin. OK. Une fenêtre s'affiche pour la licence, puis une autre pour saisir le mot de passe root. Une minute plus tard, j'ai une fenêtre "plugin installé avec succès". Jusque là, je reconnais le fonctionnement habituel de l'installeur HP.
Mais... dès que je clique sur OK pour fermer cette fenêtre une seconde s'ouvre avec un message d'erreur "the device you are trying to setup requires a binary plug-in ..."
Et je me retrouve à l'étape précédente :-(

Leap 15.2 installe la version 3.19.12 de hplip
Après avoir galéré pendant un bon moment j'ai fini par aller chercher la dernière version (3.20.9) directement sur le site de HP.
Pas un rpm, mais un script, qui installe tout plein de dépendances, et qui finalement recompile hplip. Il faut prendre patience, c'est un peu long...
Echec à la première tentative, un paquet manquant (python-devel, pourtant disponible dans les dépôts). Après install de ce paquet à la main, à la seconde exécution du script tout s'est bien passé.
Ensuite, exécution de hp-setup comme d'hab, et la configuration de l'imprimante passe comme une lettre à la poste, en 1 min j'ai retrouvé mon imprimante et mon scanner, ouf !

Ca reste moyennement satisfaisant comme solution, puisque je me retrouve avec une version de hplip installée sans passer par le package manager, donc pas de mise à jour automatique.
Mais bon... au moins ça fonctionne.

Re : Leap 15.2 et imprimante/scanner HP, galère

Répondre #1
Aucun souci sur la Leap 15.2 et HPLIP d'origine.
Après, lors de l'installation, il y a téléchargement du plugin qui s'installe tout seul ...

Re : Leap 15.2 et imprimante/scanner HP, galère

Répondre #2
Bonjour,
Peut-être passer par YaST au lieu de hp-setup

Re : Leap 15.2 et imprimante/scanner HP, galère

Répondre #3
Bon, ben je viens de réinstaller une deuxième machine from scratch, Leap 15.2, hplip : même problème.
Après installation du plugin j'ai les 2 messages : "installation du plugin OK", suivi de "installation du plugin nécessaire". Et retour à la case départ.
Même problème, même solution : install à la main. Quand je vois tout ce qu'il installe ça pourrait bien être un problème de dépendances implicites dans le rpm, ce qui pourrait expliquer que ça fonctionne dans d'autres configs.

Quant à l'install par Yast : j'avais effectivement réussi à installer l'imprimante par là, mais jamais le scanner.
Enfin l'essentiel est bien là : tout fonctionne.

Re : Leap 15.2 et imprimante/scanner HP, galère

Répondre #4
Punaise, ça va me rendre dingue  >:( . C'était mon week-end de réinstall de PCs... Je viens d'attaquer une autre machine (un vieux laptop d'occasion), fresh install Leap 15.2.
Et ben elle ne se comporte pas tout à fait comme les autres.

L'install du plugin via le paquet hplip fournit par Leap 15.2 foire, comme attendu. Je fais donc comme pour les autres machines, install hplip avec l'installeur de HP (toujours aussi long d'ailleurs...).

Seulement, après avoir trouvé mon imprimante... il n'essaie même pas d'installer le plugin !  :o
Aussi bizarre que ça puisse paraître l'imprimante fonctionne tout de même.

Mais pas le scanner, qui me réclame le plugin.
J'essaie de l'installer à la main avec la commande "hp-plugin", qui échoue en me signalant que "Python gobject/dbus" ne doit pas être installé.
Après vérification, python-gobject et python-dbus sont bien installés. Dans le doute j'ai même mis les versions python2 et python3.

Ca fait plus de 10 ans que je tourne sous OpenSUSE avec du HP, et je n'avais jamais eu de problème. C'est déprimant  :'( . Il faut moins d'1h pour réinstaller une Leap tout propre, et une demi-journée pour se battre avec une imprimante/scanner...

Re : Leap 15.2 et imprimante/scanner HP, galère

Répondre #5
J'ai une OfficeJet, scanner et imprimante sont reconnus. Par contre j'ai configuré les deux séparément. Le paquet rpm hplip dans sa version 3.20.9 se trouve ici : https://software.opensuse.org/package/hplip
dans les paquets communautaires. J'ai choisi le dépôt home:Sauerland.


 

Re : Leap 15.2 et imprimante/scanner HP, galère

Répondre #7
Bon, pas mieux avec le rpm 3.20.9 trouvé via software.opensuse.org : même problème qu'avec la version récupérée via HP.

En revanche, j'ai fini par m'en sortir.
A force d'essayer et de re-re-télécharger le plugin, j'ai fini par trouver où l'installeur (par ex hp-setup) l'enregistrait : un fichier hpxxx.run qu'il enregistre dans /home/[user]/.hplip
Pendant une tentative d'install j'en ai fait une copie, avant qu'il ne vide tout le dossier à la fin de la procédure.
En exécutant directement ce .run (après un chmod +x), j'ai enfin eu un message d'erreur cohérent : "missing : PyQt5".
Sur ma machine, le package python3-qt5 était bien installé, mais pas la version pour python2.

Après install du package python2-qt5, exécution du script hpxxx.run,... "success".

Et j'ai retrouvé mon scanner
Pfou... ! :)